%define _use_internal_dependency_generator 0

Summary: A database access API for perl
Name: perl-DBI
Version: 1.40
Release: 9
URL: http://dbi.perl.org/
License: Artistic
Group: Applications/Databases
Source: DBI-%{version}.tar.gz
Source2: filter-requires-dbi.sh
Patch0: perl-DBI-1.37-prever.patch
Patch1: perl-DBI-tmpfix.patch
Patch10: perl-DBI-1.40-bz242699.patch
Patch11: perl-DBI-1.40-bz242702.patch
Patch12: perl-DBI-1.40-bz242708.patch
Patch13: perl-DBI-1.40-bz242713.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5.6.1
BuildRequires: perl(Time::HiRes)

%description 

DBI is a database access Application Programming Interface (API) for
the Perl Language. The DBI API Specification defines a set of
functions, variables and conventions that provide a consistent
database interface independent of the actual database being used.

# %%define __find_requires /usr/lib/rpm/find-requires.perl
%define __find_requires %{SOURCE2}

%prep
%setup -q -n DBI-%{version} 
%patch0 -p1
%patch1 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL  PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist -o -name '*.orig' \) -exec rm -fv {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" | \
        grep -v perllocal.pod | \
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/DBI
%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/auto/DBI


%changelog
* Wed Feb 27 2008 Stepan Kasal <skasal@redhat.com> - 1.40-9
- Return back to 1.40-8
- Change requirement from perl-Time-HiRes to perl(Time::HiRes),
  because the latest perl package Obsoletes perl-Time-HiRes.
- Add patches for:
  Resolves: #242699
  Resolves: #242702
  Resolves: #242708
  Resolves: #242713

* Wed Aug 08 2007 Robin Norwood <rnorwood@redhat.com> - 1.58-1
- Resolves: rhbz#250261
- Update to latest cpan version (1.58)
- Remove perl-DBI-1.37-prever.patch

* Thu Feb 01 2007 Robin Norwood <rnorwood@redhat.com> - 1.53-2
- Change requirement from perl-Time-HiRes to perl(Time::HiRes),
  because the latest perl package Obsoletes perl(Time::HiRes).
- Also remove perl-DBI-tmpfix.patch - no longer needed.

* Wed Jan 31 2007 Robin Norwood <rnorwood@redhat.com> - 1.53-1
- Update to latest upstream (1.53)

* Mon Jan 24 2005 Chip Turner <cturner@redhat.com> - 1.40-8
- remove .orig left by patches

* Mon Jan 24 2005 Chip Turner <cturner@redhat.com> 1.40-7
- bugzilla: 145577, fix tempfile vulnerability

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 1.40-1
- update to 1.40

* Fri Dec 19 2003 Chip Turner <cturner@redhat.com> 1.39-1
- update to 1.39

* Mon Jul  7 2003 Chip Turner <cturner@redhat.com> 1.37-1
- upgrade to 1.37

* Wed Apr  2 2003 Chip Turner <cturner@redhat.com> 1.32-6
- add buildrequires on perl-Time-HiRes

* Tue Feb 18 2003 Chip Turner <cturner@redhat.com>
- update dependency filter to remove dependency on perl(Apache) that
- crept in (#82927)

* Mon Jan 27 2003 Chip Turner <cturner@redhat.com>
- version bump and rebuild

* Sat Dec 14 2002 Chip Turner <cturner@redhat.com>
- don't use rpm internal dep generator

* Wed Nov 20 2002 Chip Turner <cturner@redhat.com>
- rebuild

* Wed Aug  7 2002 Trond Eivind Glomsrød <teg@redhat.com> 1.30-1
- 1.30. 

* Tue Jun 25 2002 Trond Eivind Glomsrød <teg@redhat.com> 1.28-1
- 1.28
- Building it also fixes #66304

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun  5 2002 Trond Eivind Glomsrød <teg@redhat.com> 1.23-2
- Tweak dependency finder - filter out a dependency found within the 
  doc section of a module

* Tue Jun  4 2002 Trond Eivind Glomsrød <teg@redhat.com> 1.23-1
- 1.23
- Some changes to integrate with new Perl
- Update URL

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May  7 2002 Trond Eivind Glomsrød <teg@redhat.com> 1.21-2
- Rebuild

* Fri Feb 22 2002 Trond Eivind Glomsrød <teg@redhat.com> 1.21-1
- 1.21

* Fri Feb  8 2002 Chip Turner <cturner@redhat.com>
- filter out "soft" dependencies: perl(RPC::PlClient) and perl(Win32::ODBC)

* Thu Feb  7 2002 Trond Eivind Glomsrød <teg@redhat.com> 1.201-2
- Rebuild

* Tue Jan 22 2002 Trond Eivind Glomsrød <teg@redhat.com> 1.201-1
- 1.201

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Trond Eivind Glomsrød <teg@redhat.com> 1.20-1
- 1.20
- Proper URL

* Sat Jun 23 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 1.18

* Wed May 30 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 1.16
- change group to Applications/Databases from Applications/CPAN

* Tue May  1 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 1.15

* Tue Feb 27 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Cleanups

* Thu Nov 30 2000 Trond Eivind Glomsrød <teg@redhat.com>
- build for main distribution
- use %%{_tmppath}
- change name of specfile
- don't use a find script to generate file lists
- general cleanup
- add descriptive summary and description


* Mon Aug 14 2000 Tim Powers <timp@redhat.com>
- Spec file was autogenerated. 
